Changeset 4006


Ignore:
Timestamp:
Oct 9, 2009, 4:41:30 PM (11 years ago)
Author:
patdenice
Message:

merge r4005 from branch 2.0 to trunk
bug 1187: set_magic_quote_runtime and get_magic_quote_gpc are depreciated and can produce notices from PHP 5.3.
Add a @ to avoid this notices.
This functions need to be removed with PHP 6

Location:
trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/admin/include/functions_upgrade.php

    r3282 r4006  
    137137  global $conf, $page;
    138138
    139   if(!get_magic_quotes_gpc())
     139  if(!@get_magic_quotes_gpc())
    140140  {
    141141    $username = mysql_real_escape_string($username);
  • trunk/include/common.inc.php

    r3747 r4006  
    3535// precaution to prevent someone trying to break out of a SQL statement.
    3636//
    37 if( !get_magic_quotes_gpc() )
     37if( !@get_magic_quotes_gpc() )
    3838{
    3939  function sanitize_mysql_kv(&$v, $k)
  • trunk/install.php

    r3747 r4006  
    7878// precaution to prevent someone trying to break out of a SQL statement.
    7979//
    80 if( !get_magic_quotes_gpc() )
     80if( !@get_magic_quotes_gpc() )
    8181{
    8282  if( is_array($_POST) )
Note: See TracChangeset for help on using the changeset viewer.